
## uncomment when telepathy-logger-qt is available
%define logger 1

Name:    ktp-text-ui
Summary: Telepathy text chat handler 
Version: 0.5.3
Release: 1%{?dist}

# GPLv2+: most code
# (BSD or AFL): data/styles/renkoo.AdiumMessageStyle
# MIT:  data/styles/simkete/, fadomatic javascript code used in Renkoo
License: GPLv2+ and (BSD or AFL) and MIT
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/unstable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: dos2unix
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: ktp-common-internals-devel >= %{version}
%if 0%{?logger}
BuildRequires: pkgconfig(gio-2.0) pkgconfig(glib-2.0)
BuildRequires: pkgconfig(QtGLib-2.0)
BuildRequires: pkgconfig(telepathy-logger-0.2)
BuildRequires: pkgconfig(TelepathyLoggerQt4)
%endif

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
Requires: ktp-accounts-kcm

Obsoletes: telepathy-kde-text-ui < 0.3.0
Provides:  telepathy-kde-text-ui = %{version}-%{release}

%description
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: telepathy-kde-text-ui-devel < 0.3.0
Provides:  telepathy-kde-text-ui-devel = %{version}-%{release}
Requires:  ktp-common-internals-devel
BuildArch: noarch
%description devel
%{summary}.


%prep
%setup -q 

# looks like someone cat'd several files with different encoding (and line endings)
# into one.  we'll do our best to make it usable
mac2unix 'data/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo_LICENSE.txt'


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-kde


%check
%if 0%{?logger}
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/ktp-log-viewer.desktop
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING 
%doc data/styles/renkoo.AdiumMessageStyle/Contents/Resources/Renkoo_LICENSE.txt
%doc data/styles/SimKete.AdiumMessageStyle/Contents/README
%if 0%{?logger}
%{_kde4_bindir}/ktp-log-viewer
%{_kde4_datadir}/applications/kde4/ktp-log-viewer.desktop
%endif
%{_kde4_libdir}/libktpchat.so
%{_kde4_libdir}/kde4/kcm_ktp_chat_appearance.so
%{_kde4_libdir}/kde4/kcm_ktp_chat_behavior.so
%{_kde4_libdir}/kde4/kcm_ktp_chat_messages.so
%{_kde4_libdir}/kde4/ktptextui_message_filter_emoticons.so
%{_kde4_libdir}/kde4/ktptextui_message_filter_images.so
%{_kde4_libdir}/kde4/imports/org/kde/telepathy/
%{_kde4_libexecdir}/ktp-adiumxtra-protocol-handler
%{_kde4_libexecdir}/ktp-text-ui
%{_kde4_datadir}/kde4/services/kcm_ktp_chat_appearance.desktop
%{_kde4_datadir}/kde4/services/kcm_ktp_chat_behavior.desktop
%{_kde4_datadir}/kde4/services/kcm_ktp_chat_messages.desktop
%{_kde4_datadir}/kde4/services/ktptextui_message_filter_emoticons.desktop
%{_kde4_datadir}/kde4/services/ktptextui_message_filter_images.desktop
%{_kde4_datadir}/kde4/servicetypes/ktptxtui_message_filter.desktop
%{_kde4_appsdir}/ktelepathy/
%{_kde4_appsdir}/plasma/plasmoids/org.kde.ktp-chatplasmoid/
%{_kde4_appsdir}/ktp-text-ui/
%{_kde4_datadir}/kde4/services/adiumxtra.protocol
%{_kde4_datadir}/kde4/services/plasma-applet-ktpchat.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.TextUi.service
%{_datadir}/telepathy/clients/KTp.TextUi.client

%files devel
%{_kde4_includedir}/KTp/*


%changelog
* Sun Feb 17 2013 Jan Grulich <jgrulich@redhat.com> - 0.5.3-1
- 0.5.3

* Mon Dec 17 2012 Jan Grulich <jgrulich@redhat.com> - 0.5.2-1
- 0.5.2

* Fri Nov 30 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.5.1-2
- Rebuild against tp-logger.

* Fri Oct 05 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.5.1-1
- 0.5.1

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.0-1
- 0.5.0

* Thu Jul 26 2012 Jan Grulich <jgrulich@redhat.com> - 0.4.1-1
- 0.4.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-2
- enable/fix telepathy-logger-qt support

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-1
- 0.4.0

* Mon Apr 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- 0.3.1

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-6
- -devel: fix typo in Requires

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-5
- -devel: Requires: ktp-common-internals-devel

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-4
- mac2unix '.../Renkoo LICENSE.txt'

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-3
- %%doc data/styles/simkete/Contents/README 
- fix %%doc Renkoo\ LICENSE.txt 
- License: clarify MIT for data/styles/simkete too

* Tue Feb 07 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- drop BR: desktop-file-utils telepathy-qt4-devel
- %%post/%%postun ldconfig scriptlets
- License: GPLv2+ and (BSD or AFL) and MIT

* Wed Jan 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- 0.3.0

* Fri Nov 25 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-1
- 0.2.0

* Thu Sep 15 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source0 URL
- fix tabs/spaces

* Fri Aug 12 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try


